configure: Fix package version for python packages for developer releases
authorTobias Brunner <tobias@strongswan.org>
Mon, 25 Mar 2019 13:26:11 +0000 (14:26 +0100)
committerTobias Brunner <tobias@strongswan.org>
Thu, 4 Apr 2019 07:36:38 +0000 (09:36 +0200)
According to PEP 440 the suffix for development releases is .devN and
not just devN.

configure.ac

index f01b078..3659e6d 100644 (file)
@@ -1312,7 +1312,7 @@ fi
 AM_CONDITIONAL(RUBY_GEMS_INSTALL, [test "x$ruby_gems_install" = xtrue])
 
 if test x$python_eggs = xtrue; then
-       PYTHON_PACKAGE_VERSION=`echo "$PACKAGE_VERSION" | $SED 's/dr/dev/'`
+       PYTHON_PACKAGE_VERSION=`echo "$PACKAGE_VERSION" | $SED 's/dr/.dev/'`
        AC_SUBST([PYTHON_PACKAGE_VERSION])
        if test x$python_eggs_install = xtrue; then
                AC_PATH_PROG([EASY_INSTALL], [easy_install], [], [$PATH:/bin:/usr/bin:/usr/local/bin])